package com.webonlineapp.hyjavachartsdemo.charts;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import com.webonlineapp.hyjavachartsdemo.examplecharts.AngularGauge;
import com.webonlineapp.hyjavachartsdemo.examplecharts.AreaRange;
import com.webonlineapp.hyjavachartsdemo.examplecharts.AreaRangeAndLine;
import com.webonlineapp.hyjavachartsdemo.examplecharts.AreaSpline;
import com.webonlineapp.hyjavachartsdemo.examplecharts.AreaWithMissingPoints;
import com.webonlineapp.hyjavachartsdemo.examplecharts.AreaWithNegativeValues;
import com.webonlineapp.hyjavachartsdemo.examplecharts.BarWithNegativeStack;
import com.webonlineapp.hyjavachartsdemo.examplecharts.BasicArea;
import com.webonlineapp.hyjavachartsdemo.examplecharts.BasicBar;
import com.webonlineapp.hyjavachartsdemo.examplecharts.BasicColumn;
import com.webonlineapp.hyjavachartsdemo.examplecharts.BasicLine;
import com.webonlineapp.hyjavachartsdemo.examplecharts.BellCurve;
import com.webonlineapp.hyjavachartsdemo.examplecharts.BoxPlot;
import com.webonlineapp.hyjavachartsdemo.examplecharts.BubbleChart;
import com.webonlineapp.hyjavachartsdemo.examplecharts.BulletGraph;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ClickToAddAPoint;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ColumnLineAndPie;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ColumnRange;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ColumnWithDrilldown;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ColumnWithNegativeValues;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ColumnWithRotatedLabels;
import com.webonlineapp.hyjavachartsdemo.examplecharts.DonutChart;
import com.webonlineapp.hyjavachartsdemo.examplecharts.DonutChartES;
import com.webonlineapp.hyjavachartsdemo.examplecharts.DualAxisLineAndColumn;
import com.webonlineapp.hyjavachartsdemo.examplecharts.DynamicSplineUpdating;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ErrorBar;
import com.webonlineapp.hyjavachartsdemo.examplecharts.FixedPlacementColumns;
import com.webonlineapp.hyjavachartsdemo.examplecharts.FunnelChart;
import com.webonlineapp.hyjavachartsdemo.examplecharts.GaugeWithDualAxis;
import com.webonlineapp.hyjavachartsdemo.examplecharts.HeatMap;
import com.webonlineapp.hyjavachartsdemo.examplecharts.Histogram;
import com.webonlineapp.hyjavachartsdemo.examplecharts.InvertedAxis;
import com.webonlineapp.hyjavachartsdemo.examplecharts.LargeHeatMap;
import com.webonlineapp.hyjavachartsdemo.examplecharts.LinePoints;
import com.webonlineapp.hyjavachartsdemo.examplecharts.LiveData;
import com.webonlineapp.hyjavachartsdemo.examplecharts.LogarithmicAxis;
import com.webonlineapp.hyjavachartsdemo.examplecharts.MultipleAxis;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ParallelCoordinates;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ParetoChart;
import com.webonlineapp.hyjavachartsdemo.examplecharts.PercentageArea;
import com.webonlineapp.hyjavachartsdemo.examplecharts.PieChart;
import com.webonlineapp.hyjavachartsdemo.examplecharts.PieWithDrilldown;
import com.webonlineapp.hyjavachartsdemo.examplecharts.PieWithGradientFill;
import com.webonlineapp.hyjavachartsdemo.examplecharts.PieWithLegend;
import com.webonlineapp.hyjavachartsdemo.examplecharts.PieWithMonochromeFill;
import com.webonlineapp.hyjavachartsdemo.examplecharts.PolarChart;
import com.webonlineapp.hyjavachartsdemo.examplecharts.PolygonSeries;
import com.webonlineapp.hyjavachartsdemo.examplecharts.PyramidChart;
import com.webonlineapp.hyjavachartsdemo.examplecharts.SankeyDiagram;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ScatterPlot;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ScatterWithRegressionLine;
import com.webonlineapp.hyjavachartsdemo.examplecharts.SemiCircleDonut;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ServerMonitoring;
import com.webonlineapp.hyjavachartsdemo.examplecharts.SolidGauge;
import com.webonlineapp.hyjavachartsdemo.examplecharts.SpiderWeb;
import com.webonlineapp.hyjavachartsdemo.examplecharts.SplineWithInvertedAxis;
import com.webonlineapp.hyjavachartsdemo.examplecharts.SplineWithPlotBands;
import com.webonlineapp.hyjavachartsdemo.examplecharts.SplineWithSymbols;
import com.webonlineapp.hyjavachartsdemo.examplecharts.StackedAndGroupedColumn;
import com.webonlineapp.hyjavachartsdemo.examplecharts.StackedArea;
import com.webonlineapp.hyjavachartsdemo.examplecharts.StackedBar;
import com.webonlineapp.hyjavachartsdemo.examplecharts.StackedColumn;
import com.webonlineapp.hyjavachartsdemo.examplecharts.StackedPercentageColumn;
import com.webonlineapp.hyjavachartsdemo.examplecharts.Sunburst;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ThreeDBubbles;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ThreeDColumn;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ThreeDColumnWithNullAndZeros;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ThreeDColumnWithStacking;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ThreeDDonut;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ThreeDPie;
import com.webonlineapp.hyjavachartsdemo.examplecharts.ThreeDScatterChart;
import com.webonlineapp.hyjavachartsdemo.examplecharts.TileMapHoneycomb;
import com.webonlineapp.hyjavachartsdemo.examplecharts.TimeDataWithIrregularIntervals;
import com.webonlineapp.hyjavachartsdemo.examplecharts.TimeSeriesZoomable;
import com.webonlineapp.hyjavachartsdemo.examplecharts.TreeMapWithColorAxis;
import com.webonlineapp.hyjavachartsdemo.examplecharts.TreeMapWithLevels;
import com.webonlineapp.hyjavachartsdemo.examplecharts.VUMeter;
import com.webonlineapp.hyjavachartsdemo.examplecharts.VariWide;
import com.webonlineapp.hyjavachartsdemo.examplecharts.VariableRadiusPie;
import com.webonlineapp.hyjavachartsdemo.examplecharts.VectorPlot;
import com.webonlineapp.hyjavachartsdemo.examplecharts.Waterfall;
import com.webonlineapp.hyjavachartsdemo.examplecharts.WindBarb;
import com.webonlineapp.hyjavachartsdemo.examplecharts.WindRose;
import com.webonlineapp.hyjavachartsdemo.examplecharts.WindRoseES;
import com.webonlineapp.hyjavachartsdemo.examplecharts.WithAnnotations;
import com.webonlineapp.hyjavachartsdemo.examplecharts.WithDataLabels;
import com.webonlineapp.hyjavachartsdemo.examplecharts.WordCloud;
import com.webonlineapp.hyjavachartsdemo.examplecharts.XRangeSeries;

public class DemoCharts {
	// Web application charts
	private List<DemoChart> demoChartsList = new ArrayList<DemoChart>(Arrays.asList(
		// Line Charts
    	new DemoChart("Basic Line", new BasicLine()),
    	new DemoChart("Line Points", new LinePoints()),
    	new DemoChart("With Data Labels", new WithDataLabels()),
    	new DemoChart("With Annotations", new WithAnnotations()),
    	new DemoChart("Time Series Zoomable", new TimeSeriesZoomable()),
    	new DemoChart("Spline With Inverted Axis", new SplineWithInvertedAxis()),
    	new DemoChart("Spline With Symbols", new SplineWithSymbols()),
    	new DemoChart("Spline With PlotBands", new SplineWithPlotBands()),
    	new DemoChart("Time Data With Irregular Intervals", new TimeDataWithIrregularIntervals()),
    	new DemoChart("Logarithmic Axis", new LogarithmicAxis()),
    	
    	// Area Charts
    	new DemoChart("", null),
    	new DemoChart("Basic Area", new BasicArea()),
    	new DemoChart("Area With Negative Values", new AreaWithNegativeValues()),
    	new DemoChart("Stacked Area", new StackedArea()),
    	new DemoChart("Percentage Area", new PercentageArea()),
    	new DemoChart("Area With Missing Points", new AreaWithMissingPoints()),
    	new DemoChart("Inverted Axis", new InvertedAxis()),
    	new DemoChart("Area Spline", new AreaSpline()),
    	new DemoChart("Area Range", new AreaRange()),
    	new DemoChart("Area Range And Line", new AreaRangeAndLine()),
    	
    	// Column and Bar Charts
    	new DemoChart("", null),
    	new DemoChart("Basic Bar", new BasicBar()),
    	new DemoChart("Stacked Bar", new StackedBar()),
    	new DemoChart("Bar With Negative Stack", new BarWithNegativeStack()),
    	new DemoChart("Basic Column", new BasicColumn()),
    	new DemoChart("Column With Negative Values", new ColumnWithNegativeValues()),
    	new DemoChart("Stacked Column", new StackedColumn()),
    	new DemoChart("Stacked And Grouped Column", new StackedAndGroupedColumn()),
    	new DemoChart("Stacked Percentage Column", new StackedPercentageColumn()),
    	new DemoChart("Column With Rotated Labels", new ColumnWithRotatedLabels()),
    	new DemoChart("Column With Drilldown", new ColumnWithDrilldown()),
    	new DemoChart("Fixed Placement Columns", new FixedPlacementColumns()),
    	new DemoChart("Column Range", new ColumnRange()),
    	
    	// Pie Charts
    	new DemoChart("", null),
    	new DemoChart("Pie Chart", new PieChart()),
    	new DemoChart("Pie With Legend", new PieWithLegend()),
    	new DemoChart("Donut Chart", new DonutChart()),
    	new DemoChart("Semi Circle Donut", new SemiCircleDonut()),
    	new DemoChart("Pie With Drilldown", new PieWithDrilldown()),
    	new DemoChart("Pie With Gradient Fill", new PieWithGradientFill()),
    	new DemoChart("Pie With Monochrome Fill", new PieWithMonochromeFill()),
    	
    	// Scatter and Bubble Charts
    	new DemoChart("", null),
    	new DemoChart("Scatter Plot", new ScatterPlot()),
    	new DemoChart("Bubble Chart", new BubbleChart()),
    	new DemoChart("3D Bubbles", new ThreeDBubbles()),
    	
    	// Combinations
    	new DemoChart("", null),
    	new DemoChart("Column Line And Pie", new ColumnLineAndPie()),
    	new DemoChart("Dual Axis Line And Column", new DualAxisLineAndColumn()),
    	new DemoChart("Multiple Axis", new MultipleAxis()),
    	new DemoChart("Scatter With Regression Line", new ScatterWithRegressionLine()),
    	
    	// Dynamic Charts
    	new DemoChart("", null),
    	new DemoChart("Dynamic Spline Updating", new DynamicSplineUpdating()),
    	new DemoChart("Click To Add A Point", new ClickToAddAPoint()),
    	new DemoChart("Live Data  ***New in v6.1", new LiveData()),
    	new DemoChart("Server Monitoring  ***New in v6.1", new ServerMonitoring()),
    	
    	// 3D Charts
    	new DemoChart("", null),
    	new DemoChart("3D Column", new ThreeDColumn()),
    	new DemoChart("3D Column With Null And Zeros", new ThreeDColumnWithNullAndZeros()),
    	new DemoChart("3D Column With Stacking", new ThreeDColumnWithStacking()),
    	new DemoChart("3D Pie", new ThreeDPie()),
    	new DemoChart("3D Donut", new ThreeDDonut()),
    	new DemoChart("3D Scatter Chart", new ThreeDScatterChart()),
    	
    	// Gauges
    	new DemoChart("", null),
    	new DemoChart("Angular Gauge", new AngularGauge()),
    	new DemoChart("Solid Gauge", new SolidGauge()),
    	new DemoChart("Gauge With Dual Axis", new GaugeWithDualAxis()),
    	new DemoChart("VU Meter", new VUMeter()),
    	new DemoChart("Bullet Graph", new BulletGraph()),
    	
    	// Heat and Tree Maps
    	new DemoChart("", null),
    	new DemoChart("Heat Map", new HeatMap()),
    	new DemoChart("Large Heat Map", new LargeHeatMap()),
    	new DemoChart("Tile Map Honeycomb", new TileMapHoneycomb()),
    	new DemoChart("Tree Map With Color Axis", new TreeMapWithColorAxis()),
    	new DemoChart("Tree Map With Levels", new TreeMapWithLevels()),
    	
    	// More Chart Types
    	new DemoChart("", null),
    	new DemoChart("Polar Chart", new PolarChart()),
    	new DemoChart("Spider Web", new SpiderWeb()),
    	new DemoChart("Sunburst", new Sunburst()),
    	new DemoChart("Wind Rose", new WindRose()),
    	new DemoChart("Parallel Coordinates", new ParallelCoordinates()),
    	new DemoChart("Wind Barb", new WindBarb()),
    	new DemoChart("Vector Plot", new VectorPlot()),
    	new DemoChart("Box Plot", new BoxPlot()),
    	new DemoChart("Error Bar", new ErrorBar()),
    	new DemoChart("Histogram", new Histogram()),
    	new DemoChart("Waterfall", new Waterfall()),
    	new DemoChart("Variwide", new VariWide()),
    	new DemoChart("Variable Radius Pie", new VariableRadiusPie()),
    	new DemoChart("Bell Curve", new BellCurve()),
    	new DemoChart("Funnel Chart", new FunnelChart()),
    	new DemoChart("Pyramid Chart", new PyramidChart()),
    	new DemoChart("Polygon Series", new PolygonSeries()),
    	new DemoChart("Pareto Chart", new ParetoChart()),
    	new DemoChart("Sankey Diagram", new SankeyDiagram()),
    	new DemoChart("XRange Series", new XRangeSeries()),
    	new DemoChart("Word Cloud", new WordCloud())
		
		));
	
	// Export server charts
	private List<DemoChart> demoChartsExportServerList = new ArrayList<DemoChart>(Arrays.asList(
		// Line Charts
    	new DemoChart("Basic Line", new BasicLine()),
    	new DemoChart("Line Points", new LinePoints()),
    	new DemoChart("With Data Labels", new WithDataLabels()),
    	new DemoChart("With Annotations", new WithAnnotations()),
    	new DemoChart("Time Series Zoomable", new TimeSeriesZoomable()),
    	new DemoChart("Spline With Inverted Axis", new SplineWithInvertedAxis()),
    	new DemoChart("Spline With Symbols", new SplineWithSymbols()),
    	new DemoChart("Spline With PlotBands", new SplineWithPlotBands()),
    	new DemoChart("Time Data With Irregular Intervals", new TimeDataWithIrregularIntervals()),
    	new DemoChart("Logarithmic Axis", new LogarithmicAxis()),
    	
    	// Area Charts
    	new DemoChart("", null),
    	new DemoChart("Basic Area", new BasicArea()),
    	new DemoChart("Area With Negative Values", new AreaWithNegativeValues()),
    	new DemoChart("Stacked Area", new StackedArea()),
    	new DemoChart("Percentage Area", new PercentageArea()),
    	new DemoChart("Area With Missing Points", new AreaWithMissingPoints()),
    	new DemoChart("Inverted Axis", new InvertedAxis()),
    	new DemoChart("Area Spline", new AreaSpline()),
    	new DemoChart("Area Range", new AreaRange()),
    	new DemoChart("Area Range And Line", new AreaRangeAndLine()),
    	
    	// Column and Bar Charts
    	new DemoChart("", null),
    	new DemoChart("Basic Bar", new BasicBar()),
    	new DemoChart("Stacked Bar", new StackedBar()),
    	new DemoChart("Bar With Negative Stack", new BarWithNegativeStack()),
    	new DemoChart("Basic Column", new BasicColumn()),
    	new DemoChart("Column With Negative Values", new ColumnWithNegativeValues()),
    	new DemoChart("Stacked Column", new StackedColumn()),
    	new DemoChart("Stacked And Grouped Column", new StackedAndGroupedColumn()),
    	new DemoChart("Stacked Percentage Column", new StackedPercentageColumn()),
    	new DemoChart("Column With Rotated Labels", new ColumnWithRotatedLabels()),
    	new DemoChart("Column With Drilldown", new ColumnWithDrilldown()),
    	new DemoChart("Fixed Placement Columns", new FixedPlacementColumns()),
    	new DemoChart("Column Range", new ColumnRange()),
    	
    	// Pie Charts
    	new DemoChart("", null),
    	new DemoChart("Pie Chart", new PieChart()),
    	new DemoChart("Pie With Legend", new PieWithLegend()),
    	//new DemoChart("Donut Chart", new DonutChart()),
    	new DemoChart("Donut Chart", new DonutChartES()),
    	new DemoChart("Semi Circle Donut", new SemiCircleDonut()),
    	new DemoChart("Pie With Drilldown", new PieWithDrilldown()),
    	new DemoChart("Pie With Gradient Fill", new PieWithGradientFill()),
    	new DemoChart("Pie With Monochrome Fill", new PieWithMonochromeFill()),
    	
    	// Scatter and Bubble Charts
    	new DemoChart("", null),
    	new DemoChart("Scatter Plot", new ScatterPlot()),
    	new DemoChart("Bubble Chart", new BubbleChart()),
    	new DemoChart("3D Bubbles", new ThreeDBubbles()),
    	
    	// Combinations
    	new DemoChart("", null),
    	new DemoChart("Column Line And Pie", new ColumnLineAndPie()),
    	new DemoChart("Dual Axis Line And Column", new DualAxisLineAndColumn()),
    	new DemoChart("Multiple Axis", new MultipleAxis()),
    	new DemoChart("Scatter With Regression Line", new ScatterWithRegressionLine()),
    	
    	// Dynamic Charts
    	new DemoChart("", null),
    	new DemoChart("Dynamic Spline Updating", new DynamicSplineUpdating()),
    	new DemoChart("Click To Add A Point", new ClickToAddAPoint()),
    	//new DemoChart("Live Data  ***New in v6.1", new LiveData()),
    	//new DemoChart("Server Monitoring  ***New in v6.1", new ServerMonitoring()),
    	
    	// 3D Charts
    	new DemoChart("", null),
    	new DemoChart("3D Column", new ThreeDColumn()),
    	new DemoChart("3D Column With Null And Zeros", new ThreeDColumnWithNullAndZeros()),
    	new DemoChart("3D Column With Stacking", new ThreeDColumnWithStacking()),
    	new DemoChart("3D Pie", new ThreeDPie()),
    	new DemoChart("3D Donut", new ThreeDDonut()),
    	new DemoChart("3D Scatter Chart", new ThreeDScatterChart()),
    	
    	// Gauges
    	new DemoChart("", null),
    	new DemoChart("Angular Gauge", new AngularGauge()),
    	new DemoChart("Solid Gauge", new SolidGauge()),
    	new DemoChart("Gauge With Dual Axis", new GaugeWithDualAxis()),
    	new DemoChart("VU Meter", new VUMeter()),
    	new DemoChart("Bullet Graph", new BulletGraph()),
    	
    	// Heat and Tree Maps
    	new DemoChart("", null),
    	new DemoChart("Heat Map", new HeatMap()),
    	new DemoChart("Large Heat Map", new LargeHeatMap()),
    	new DemoChart("Tile Map Honeycomb", new TileMapHoneycomb()),
    	new DemoChart("Tree Map With Color Axis", new TreeMapWithColorAxis()),
    	new DemoChart("Tree Map With Levels", new TreeMapWithLevels()),
    	
    	// More Chart Types
    	new DemoChart("", null),
    	new DemoChart("Polar Chart", new PolarChart()),
    	new DemoChart("Spider Web", new SpiderWeb()),
    	new DemoChart("Sunburst", new Sunburst()),
    	//new DemoChart("Wind Rose", new WindRose()),
    	new DemoChart("Wind Rose", new WindRoseES()),
    	new DemoChart("Parallel Coordinates", new ParallelCoordinates()),
    	new DemoChart("Wind Barb", new WindBarb()),
    	new DemoChart("Vector Plot", new VectorPlot()),
    	new DemoChart("Box Plot", new BoxPlot()),
    	new DemoChart("Error Bar", new ErrorBar()),
    	new DemoChart("Histogram", new Histogram()),
    	new DemoChart("Waterfall", new Waterfall()),
    	new DemoChart("Variwide", new VariWide()),
    	new DemoChart("Variable Radius Pie", new VariableRadiusPie()),
    	new DemoChart("Bell Curve", new BellCurve()),
    	new DemoChart("Funnel Chart", new FunnelChart()),
    	new DemoChart("Pyramid Chart", new PyramidChart()),
    	new DemoChart("Polygon Series", new PolygonSeries()),
    	new DemoChart("Pareto Chart", new ParetoChart()),
    	new DemoChart("Sankey Diagram", new SankeyDiagram()),
    	new DemoChart("XRange Series", new XRangeSeries()),
    	new DemoChart("Word Cloud", new WordCloud())
		
		));

	
	public List<DemoChart> getDemoChartsList() {
		return demoChartsList;
	}


	public List<DemoChart> getDemoChartsExportServerList() {
		return demoChartsExportServerList;
	}

}
