package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesColumn;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class ColumnWithNegativeValues extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.getChart().setType(ChartType.COLUMN);
		chartOptions.getTitle().setText("Column chart with negative values");

		XAxis xAxi = new XAxis();
		xAxi.setCategories(new ArrayList<String>(Arrays.asList("Apples", "Oranges", "Pears", "Grapes", "Bananas")));
		chartOptions.getXAxis().add(xAxi);
		
		chartOptions.getCredits().setEnabled(false);
		
		SeriesColumn seriesColumn = new SeriesColumn();
		seriesColumn.setName("John");
		seriesColumn.setDataAsArrayNumber(getSeriesData(1));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setName("Jane");
		seriesColumn.setDataAsArrayNumber(getSeriesData(2));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setName("Joe");
		seriesColumn.setDataAsArrayNumber(getSeriesData(3));
		chartOptions.getSeries().add(seriesColumn);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Number> getSeriesData(int series) {
    	if (series == 1) {
    		return new ArrayList<Number>(Arrays.asList(5, 3, 4, 7, 2));
    	}
    	else if (series == 2) {
    		return new ArrayList<Number>(Arrays.asList(2, -2, -3, 2, 1));
    	}
    	else {
    		return new ArrayList<Number>(Arrays.asList(3, 4, 4, -2, 5));
    	}
    }
}
