package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.Stacking;
import com.hyjavacharts.model.highcharts.series.SeriesBar;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class StackedBar extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.getChart().setType(ChartType.BAR);
		chartOptions.getTitle().setText("Stacked bar chart");

		XAxis xAxi = new XAxis();
		xAxi.setCategories(new ArrayList<String>(Arrays.asList("Apples", "Oranges", "Pears", "Grapes", "Bananas")));
		chartOptions.getXAxis().add(xAxi);
		
		YAxis yAxi = new YAxis();
		yAxi.setMin(0).getTitle().setText("Total fruit consumption");
		chartOptions.getYAxis().add(yAxi);
		
		chartOptions.getLegend().setReversed(true);
		chartOptions.getPlotOptions().getBar().setStacking(Stacking.NORMAL);
		
		SeriesBar seriesBar = new SeriesBar();
		seriesBar.setName("John");
		seriesBar.setDataAsArrayNumber(getSeriesData(1));
		chartOptions.getSeries().add(seriesBar);
		
		seriesBar = new SeriesBar();
		seriesBar.setName("Jane");
		seriesBar.setDataAsArrayNumber(getSeriesData(2));
		chartOptions.getSeries().add(seriesBar);
		
		seriesBar = new SeriesBar();
		seriesBar.setName("Joe");
		seriesBar.setDataAsArrayNumber(getSeriesData(3));
		chartOptions.getSeries().add(seriesBar);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Number> getSeriesData(int series) {
    	if (series == 1) {
    		return new ArrayList<Number>(Arrays.asList(5, 3, 4, 7, 2));
    	}
    	else if (series == 2) {
    		return new ArrayList<Number>(Arrays.asList(2, 2, 3, 2, 1));
    	}
    	else {
    		return new ArrayList<Number>(Arrays.asList(3, 4, 4, 2, 5));
    	}
    }
}
