package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesArea;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class AreaWithNegativeValues extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.getChart().setType(ChartType.AREA);
		chartOptions.getTitle().setText("Area chart with negative values");
		
		XAxis xAxi = new XAxis();
		xAxi.setCategories(new ArrayList<String>(Arrays.asList("Apples", "Oranges", "Pears", "Grapes", "Bananas")));
		chartOptions.getXAxis().add(xAxi);

		chartOptions.getCredits().setEnabled(false);
		
		SeriesArea seriesArea = new SeriesArea();
		seriesArea.setName("John");
		seriesArea.setDataAsArrayNumber(getSeriesData(1));
		chartOptions.getSeries().add(seriesArea);
		
		seriesArea = new SeriesArea();
		seriesArea.setName("Jane");
		seriesArea.setDataAsArrayNumber(getSeriesData(2));
		chartOptions.getSeries().add(seriesArea);
		
		seriesArea = new SeriesArea();
		seriesArea.setName("Joe");
		seriesArea.setDataAsArrayNumber(getSeriesData(3));
		chartOptions.getSeries().add(seriesArea);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Number> getSeriesData(int series) {
    	if (series == 1) {
    		return new ArrayList<Number>(Arrays.asList(5, 3, 4, 7, 2));
    	}
    	else if (series == 2) {
    		return new ArrayList<Number>(Arrays.asList(2, -2, -3, 2, 1));
    	}
    	else {
    		return new ArrayList<Number>(Arrays.asList(3, 4, 4, -2, 5));
    	}
    }
}
