package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.common.Color;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.constants.SeriesType;
import com.hyjavacharts.model.highcharts.labels.Items;
import com.hyjavacharts.model.highcharts.series.SeriesColumn;
import com.hyjavacharts.model.highcharts.series.SeriesPie;
import com.hyjavacharts.model.highcharts.series.SeriesSpline;
import com.hyjavacharts.model.highcharts.series.seriespie.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class ColumnLineAndPie extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.getTitle().setText("Combination chart");
		
		XAxis xAxi = new XAxis();
		xAxi.setCategories(new ArrayList<String>(Arrays.asList("Apples", "Oranges", "Pears", "Bananas", "Plums")));
		chartOptions.getXAxis().add(xAxi);
		
		Items item = new Items();
		item.setHtml("Total fruit consumption")
			.getStyle()
				.setCssValue("{ left: '50px', top: '18px', color: (Highcharts.theme && Highcharts.theme.textColor) || 'black' }");
		chartOptions.getLabels().getItems().add(item);
		
		SeriesColumn seriesColumn = new SeriesColumn();
		seriesColumn.setType(SeriesType.COLUMN).setName("Jane");
		seriesColumn.setDataAsArrayNumber(getSeriesData(1));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setType(SeriesType.COLUMN).setName("John");
		seriesColumn.setDataAsArrayNumber(getSeriesData(2));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setType(SeriesType.COLUMN).setName("Joe");
		seriesColumn.setDataAsArrayNumber(getSeriesData(3));
		chartOptions.getSeries().add(seriesColumn);

		SeriesSpline seriesSpline = new SeriesSpline();
		seriesSpline.setType(SeriesType.SPLINE).setName("Average");
		seriesSpline.getMarker()
			.setLineWidth(2)
			.setFillColor(new Color("white"))
			.getLineColor().setColorValue("Highcharts.getOptions().colors[3]");
		seriesSpline.setDataAsArrayNumber(getSeriesData(4));
		chartOptions.getSeries().add(seriesSpline);
		
		SeriesPie seriesPie = new SeriesPie();
		seriesPie.setType(SeriesType.PIE)
			.setName("Total consumption")
			.setCenterAsArrayNumber(getSeriesData(5))
			.setSizeAsNumber(100)
			.setShowInLegend(false)
			.getDataLabels().setEnabled(false);
		seriesPie.setDataAsArrayObject(getPieData());
		chartOptions.getSeries().add(seriesPie);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	public ArrayList<Number> getSeriesData(int series) {
    	if (series == 1) {
    		return new ArrayList<Number>(Arrays.asList(3, 2, 1, 3, 4));
    	}
    	else if (series == 2) {
    		return new ArrayList<Number>(Arrays.asList(2, 3, 5, 7, 6));
    	}
    	else if (series == 3) {
    		return new ArrayList<Number>(Arrays.asList(4, 3, 3, 9, 0));
    	}
    	else if (series == 4) {
    		return new ArrayList<Number>(Arrays.asList(3, 2.67, 3, 6.33, 3.33));
    	}
    	else {
    		return new ArrayList<Number>(Arrays.asList(100, 80));
    	}
    }
	
	/**
	 * 
	 * @return
	 */
	public ArrayList<Data> getPieData() {
		ArrayList<Data> array = new ArrayList<Data>();

		array.add(new Data().setName("Jane").setY(13).setColor(new Color().setColorValue("Highcharts.getOptions().colors[0]")));
		array.add(new Data().setName("John").setY(23).setColor(new Color().setColorValue("Highcharts.getOptions().colors[1]")));
		array.add(new Data().setName("Joe").setY(19).setColor(new Color().setColorValue("Highcharts.getOptions().colors[2]")));

    	return array;
    }
}
