package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;
import java.util.Arrays;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.XAxis;
import com.hyjavacharts.model.highcharts.YAxis;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.constants.Stacking;
import com.hyjavacharts.model.highcharts.series.SeriesColumn;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class StackedAndGroupedColumn extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.getChart().setType(ChartType.COLUMN);
		chartOptions.getTitle().setText("Total fruit consumtion, grouped by gender");

		XAxis xAxi = new XAxis();
		xAxi.setCategories(new ArrayList<String>(Arrays.asList("Apples", "Oranges", "Pears", "Grapes", "Bananas")));
		chartOptions.getXAxis().add(xAxi);

		YAxis yAxi = new YAxis();
		yAxi.setAllowDecimals(false)
			.setMin(0)
			.getTitle().setText("Number of fruits");
		chartOptions.getYAxis().add(yAxi);
		
		chartOptions.getTooltip()
			.getFormatter()
				.setFunctionBody("return '<b>' + this.x + '</b><br/>' + this.series.name + ': ' + this.y + '<br/>' + 'Total: ' + this.point.stackTotal;");
		
		chartOptions.getPlotOptions().getColumn()
			.setStacking(Stacking.NORMAL);
		
		SeriesColumn seriesColumn = new SeriesColumn();
		seriesColumn.setName("John").setStackAsString("male");
		seriesColumn.setDataAsArrayNumber(getSeriesData(1));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setName("Joe").setStackAsString("male");
		seriesColumn.setDataAsArrayNumber(getSeriesData(2));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setName("Jane").setStackAsString("female");
		seriesColumn.setDataAsArrayNumber(getSeriesData(3));
		chartOptions.getSeries().add(seriesColumn);
		
		seriesColumn = new SeriesColumn();
		seriesColumn.setName("Janet").setStackAsString("female");
		seriesColumn.setDataAsArrayNumber(getSeriesData(4));
		chartOptions.getSeries().add(seriesColumn);
		
		return highChart;
	}
	
	/**
	 * 
	 * @param series
	 * @return
	 */
	private ArrayList<Number> getSeriesData(int series) {
    	if (series == 1) {
    		return new ArrayList<Number>(Arrays.asList(5, 3, 4, 7, 2));
    	}
    	else if (series == 2) {
    		return new ArrayList<Number>(Arrays.asList(3, 4, 4, 2, 5));
    	}
    	else if (series == 3) {
    		return new ArrayList<Number>(Arrays.asList(2, 5, 6, 2, 1));
    	}
    	else {
    		return new ArrayList<Number>(Arrays.asList(3, 0, 4, 4, 3));
    	}
    }
}
