package com.webonlineapp.hyjavachartsdemo.examplecharts;

import java.util.ArrayList;

import com.hyjavacharts.chart.Highchart;
import com.hyjavacharts.model.highcharts.ChartOptions;
import com.hyjavacharts.model.highcharts.constants.ChartType;
import com.hyjavacharts.model.highcharts.series.SeriesVariablepie;
import com.hyjavacharts.model.highcharts.series.seriesvariablepie.Data;
import com.webonlineapp.hyjavachartsdemo.charts.DemoChartBase;

public class VariableRadiusPie extends DemoChartBase {
	
	public Highchart configure() {
		Highchart highChart = new Highchart();
		ChartOptions chartOptions = highChart.getChartOptions();
		
		chartOptions.getChart().setType(ChartType.VARIABLEPIE);
		chartOptions.getTitle().setText("Countries compared by population density and total area.");
		
		chartOptions.getTooltip()
			.setHeaderFormat("")
			.setPointFormat("<span style=\"color:{point.color}\">\u25CF</span> <b> {point.name}</b><br/>Area (square km): <b>{point.y}</b><br/>Population density (people per square km): <b>{point.z}</b><br/>");

		SeriesVariablepie seriesVariablepie = new SeriesVariablepie();
		seriesVariablepie.setName("countries")
			.setMinPointSizeAsNumber(10)
			.setInnerSizeAsString("20%")
			.setZMin(0);
		seriesVariablepie.setDataAsArrayObject(getSeriesData());
		chartOptions.getSeries().add(seriesVariablepie);
		
		return highChart;
	}
	
	/**
	 * 
	 * @return
	 */
	private ArrayList<Data> getSeriesData() {
		ArrayList<Data> array = new ArrayList<Data>();
		Data d;
		
		d = new Data();
		d.setName("Spain").setY(505370).setZ(92.9);
    	array.add(d);
    	
    	d = new Data();
    	d.setName("France").setY(551500).setZ(118.7);
    	array.add(d);
    	
    	d = new Data();
    	d.setName("Poland").setY(312685).setZ(124.6);
    	array.add(d);
    	
    	d = new Data();
    	d.setName("Czech Republic").setY(78867).setZ(137.5);
    	array.add(d);
    	
    	d = new Data();
    	d.setName("Italy").setY(301340).setZ(201.8);
    	array.add(d);
    	
    	d = new Data();
    	d.setName("Switzerland").setY(41277).setZ(214.5);
    	array.add(d);
    	
    	d = new Data();
    	d.setName("Germany").setY(357022).setZ(235.6);
    	array.add(d);

    	return array;
    }
}
