package com.webonlineapp;

import org.apache.wicket.markup.html.WebPage;
import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.request.mapper.parameter.PageParameters;

import com.hyjavacharts.chart.Highchart;

public class ChartPage extends WebPage {
	private static final long serialVersionUID = 1L;
	
	/**
	 * Build the selected chart
	 * @param parameters
	 */
	public ChartPage(final PageParameters parameters) {
		super(parameters);
		String selectedChart = parameters.get("param1").toString();
        
        Highchart hc = null;
        if (selectedChart.equals("Line")) {
        	hc = new BasicLine().configure();
    		String script = "Highcharts.chart('container', " + hc.chartOptionsToJs() + ");";
    		
    		add(new Label("script", script).setEscapeModelStrings(false));
        }
        else {
        	hc = new DynamicSplineUpdating().configure();
        	String globalOptionsScript = "Highcharts.setOptions(" + hc.globalOptionsToJs() + ");";
     		String chartOptionsScript = "Highcharts.chart('container', " + hc.chartOptionsToJs() + ");";
    		
    		add(new Label("script", globalOptionsScript + chartOptionsScript).setEscapeModelStrings(false));
        }
	}

}
